TON Whales Pools
Get Balance Breakdown
Get the balance breakdown for a staker in the TON Whales pool, showing active stake, pending deposit, pending withdrawal, and withdrawal-ready balance separately.
GET
/
api
/
v1
/
ton
/
{network}
/
staking
/
ton-whales
/
{publicKey}
/
balance
Get Balance Breakdown
curl --request GET \
--url https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/{publicKey}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/{publicKey}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/{publicKey}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"balance": "1000000000",
"pendingDeposit": "500000000",
"pendingWithdraw": "0",
"withdraw": "0",
"poolAddress": "kQDr9Sq482A6ikIUh5mUUjJaBUUJBrye13CJiDB-R31_l7mg",
"stakerAddress": "0:4e6f62ec4480df64a44cf8a2c1b9c0aef2fc44c5e8c6b517cbd3c8e0ddc9b6e1",
"total": "1500000000"
}
}{
"error": {
"code": 121107,
"message": "Not found TON whales instance. Try to make ton-whales stake first",
"name": "NotFoundTonWhalesInstanceForClient",
"type": "client"
},
"result": null
}{
"error": {
"code": 123,
"name": "ThrottlerException",
"message": "ThrottlerException",
"errors": [
{}
]
},
"result": null,
"requestId": "90c16e9e-6e99-4651-a033-60290356df2f",
"timestamp": "2026-05-20T22:29:03.126Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
TON network:
- `mainnet` — production network.
- `testnet` — testnet.
Available options:
mainnet, testnet Query Parameters
Version of the smart contract used by the wallet in the TON blockchain.
Available options:
V3R1, V3R2, V4, V5R1 Example:
"V4"
Get Balance Breakdown
